import { createApp } from 'vue'
import App from './App.vue'
import MyComponent from '@/components/MyComponent'
import router from '@/router'
import {
  Progress,
  Select,
  Input,
  Tooltip,
  Checkbox,
  Tree,
} from 'ant-design-vue'
import 'ant-design-vue/dist/antd.min.css'
import './assets/style/reset.styl'

createApp(App)
  .use(router)
  .use(MyComponent)
  .use(Progress)
  .use(Select)
  .use(Input)
  .use(Tooltip)
  .use(Checkbox)
  .use(Tree)
  .mount('#app')
